# (Deprecated) Fetch stream target usage by country The GET /usage/stream_targets/{id}/countries operation is deprecated and no longer available. To retrieve CDN usage data for a specific stream target by country, use GET /analytics/viewers/stream_targets/{id} endpoint. Endpoint: GET /usage/stream_targets/{id}/countries Version: v1.11 ## Path parameters: - `id` (string, required) The unique alphanumeric string that identifies the stream target. ## Query parameters: - `from` (string) The start of the range of time you want to view. Specify YYYY-MM-DD HH:00:00 where HH is a 24-hour clock in UTC. The range doesn't include minutes and seconds and rounds minutes up to the hour. The maximum difference between from and to is 90 days. If you set the from query parameter without setting the to query parameter, the data returned will reflect 90 days starting at the from date, or data up to to the current day, whichever is shorter. You can also specify last_bill_date. Default: last billing date - `to` (string) The end of the range of time you want to view. Specify YYYY-MM-DD HH:00:00 where HH is a 24-hour clock in UTC. The range doesn't include minutes and seconds and rounds minutes up to the hour. The maximum difference between from and to is 90 days. If you set the to query parameter without setting the from query parameter, the data returned will be from the past 90 days or from your last invoice date, whichever is shorter. You can also specify last_bill_date. Default: end of the current day ## Response 200 fields (application/json): - `countries` (object) Example: [{"code":"US","name":"United States","unique_viewers":1,"viewing_seconds":222,"avg_viewing_seconds":222,"viewing_bytes":12886,"zones":[{"name":"global","type":"fastly","viewing_bytes":12886}]},{"code":"CA","name":"Canada","unique_viewers":14,"viewing_seconds":222,"avg_viewing_seconds":16,"viewing_bytes":22886,"zones":[{"name":"global","type":"fastly","viewing_bytes":22886}]}] - `countries.code` (string) A country code where the stream was requested. - `countries.name` (string) The name of a country where the stream was requested. - `countries.unique_viewers` (integer) The total number of unique viewers to download at least one chunk of the stream at the target (for HTTP streams). A unique viewer is a single IP address; multiple users that share the same IP address are counted once. - `countries.viewing_seconds` (integer) The total length of time, in seconds, that the stream was played at the target. May be longer than the duration of the stream. - `countries.avg_viewing_seconds` (integer) The average length of time, in seconds, that the stream was played at the target. - `countries.viewing_bytes` (integer) The amount of content, in bytes, that went through the stream target during the selected time frame. - `countries.zones` (object) A hash of zones with CDN usage, keyed by the name of the billing zone where the usage was generated. - `countries.zones.name` (string) The name of the billing zone where the usage was generated. - `countries.zones.type` (string) The type of stream target. fastly is a Wowza CDN on Fastly target. Enum: "fastly", "akamai" - `limits` (object) The time frame represented in the response. Example: {"from":"2019-11-07T00:00:00.000Z","to":"2019-12-05T00:00:00.000Z"} - `limits.from` (string) The start of the range of time represented in the response. Example: "2019-11-07T00:00:00.000Z" - `limits.to` (string) The end of the range of time represented in the response. Example: "2019-12-05T00:00:00.000Z" ## Response 401 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 403 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 404 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 410 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 422 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array)